package mangareader;
import java.util.*;
public class FileControler {

	private String file[];
	private int cFileIndex=0;
	private int nOfFiles=1;
	private String dir;
	public String title;
	public void setFileNames(String dir,String fileNames[]){
		this.dir = dir;
		cFileIndex =0;
		file = fileNames;
		nOfFiles = fileNames.length;
		createAdress();
		findTitle();
	}
	
	private void findTitle(){
		String temp;
		temp  = file[0];
		if(isWindows(dir)){
		temp =temp.substring(0,temp.lastIndexOf("\\"));
		title = temp.substring(0,temp.lastIndexOf("\\"));
		temp = temp.substring(temp.lastIndexOf("\\")+1,temp.length());
		title = title.substring(title.lastIndexOf("\\")+1,title.length());
		
		}
		else{
			temp =temp.substring(0,temp.lastIndexOf("/"));
			title = temp.substring(0,temp.lastIndexOf("/"));
			temp = temp.substring(temp.lastIndexOf("/")+1,temp.length());
			title = title.substring(title.lastIndexOf("/")+1,title.length());
		}
		title = title +" - "+ temp;
		//System.out.println(title);
	}
	
	private void createAdress(){
		char slash = '/';
		if(isWindows(dir)){
			slash = '\\';
		}
		for(int i=0;i<nOfFiles;i++){
			file[i] = dir+slash+file[i];
			//System.out.println(file[i]);
		}
		Arrays.sort(file);
	
	}
	private boolean isWindows(String str){
		String temp = System.getProperty("os.name");
		temp = temp.toLowerCase();
		if(temp.indexOf("windows") != -1)
			return true;
		return false;
	}

	public String getNext(){
		if(cFileIndex<nOfFiles-1)
		cFileIndex++;
		return file[cFileIndex];
		
	}
	public String getCurrentFile(){
		return file[cFileIndex];
	}
	public String getPrevious(){
		if(cFileIndex >0)
			cFileIndex--;
		return file[cFileIndex];
	}
	public String getCurrentFileIndex(){
		return ""+(cFileIndex+1);
	}
	public String fileAtIndex(int index){
		cFileIndex = index;
		return file[index];
	}
	public int getNoOfFiles(){
		return nOfFiles;
	}
	
}
